diff --git a/pki/base/common/src/com/netscape/cmscore/profile/ProfileSubsystem.java b/pki/base/common/src/com/netscape/cmscore/profile/ProfileSubsystem.java
index b5f829f77ae2c5455cc8154768656c3245982b04..2435fa462a80b5fdcc17cad84e5e9f6e2822c052 100644
--- a/pki/base/common/src/com/netscape/cmscore/profile/ProfileSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/profile/ProfileSubsystem.java
@@ -251,7 +251,7 @@ public class ProfileSubsystem implements IProfileSubsystem {
     public String getProfileEnableBy(String id) {
         if (!isProfileEnable(id))
             return null;
-        IProfile profile = (IProfile) mProfiles.get(id);
+        IProfile profile = mProfiles.get(id);
         String enableBy = null;
 
         try {
@@ -295,11 +295,11 @@ public class ProfileSubsystem implements IProfileSubsystem {
      */
     public IProfile getProfile(String id)
             throws EProfileException {
-        return (IProfile) mProfiles.get(id);
+        return mProfiles.get(id);
     }
 
     public String getProfileClassId(String id) {
-        return (String) mProfileClassIds.get(id);
+        return mProfileClassIds.get(id);
     }
 
     /**
diff --git a/pki/base/common/src/com/netscape/cmscore/security/CertificateInfo.java b/pki/base/common/src/com/netscape/cmscore/security/CertificateInfo.java
index 3eeb39e0c08d26f9ac6aa56a09815e1898ce9380..fc7fb9087630b22feb90fcf272a89700a47e14b3 100644
--- a/pki/base/common/src/com/netscape/cmscore/security/CertificateInfo.java
+++ b/pki/base/common/src/com/netscape/cmscore/security/CertificateInfo.java
@@ -226,7 +226,6 @@ public abstract class CertificateInfo {
         //KeyCertUtil.setOCSPSigning(mKeyPair, exts, mProperties);
         KeyCertUtil.setAuthInfoAccess(mKeyPair, exts, mProperties);
         KeyCertUtil.setOCSPNoCheck(mKeyPair, exts, mProperties);
-        KeyPair caKeyPair = (KeyPair) mProperties.get(Constants.PR_CA_KEYPAIR);
         String aki = mProperties.getAKI();
 
         if ((aki != null) && (aki.equals(Constants.TRUE))) {
diff --git a/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java b/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
index b6aaa02cc7308f80940397d149cc076d2bb85c38..8bcc74de56fc63427428032c814abc6225ca0eb3 100644
--- a/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
@@ -852,7 +852,7 @@ public final class JssSubsystem implements ICryptoSubsystem {
 
     public void isX500DN(String dn) throws EBaseException {
         try {
-            X500Name name = new X500Name(dn);
+            new X500Name(dn); // check for errors
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_SECURITY_X500_NAME", e.toString()));
             throw new EBaseException(CMS.getUserMessage("CMS_BASE_INVALID_X500_NAME", dn));
@@ -944,7 +944,6 @@ public final class JssSubsystem implements ICryptoSubsystem {
 
     public KeyPair getECCKeyPair(KeyCertData properties) throws EBaseException {
         String token = Constants.PR_INTERNAL_TOKEN_NAME;
-        String keyType = "ECC";
         String keyCurve = "nistp512";
         String certType = null;
         KeyPair pair = null;
@@ -1067,7 +1066,6 @@ public final class JssSubsystem implements ICryptoSubsystem {
             X509Certificate cert = getCertificate(nickname, serialno, issuername);
             if (cert instanceof TokenCertificate) {
                 TokenCertificate tcert = (TokenCertificate) cert;
-                CryptoStore store = tcert.getOwningToken().getCryptoStore();
 
                 CMS.debug("*** deleting this token cert");
                 tcert.getOwningToken().getCryptoStore().deleteCert(tcert);
@@ -1120,7 +1118,6 @@ public final class JssSubsystem implements ICryptoSubsystem {
                             CMS.debug("*** removing root cert");
                             if (cert instanceof TokenCertificate) {
                                 TokenCertificate tcert = (TokenCertificate) cert;
-                                CryptoStore store = tcert.getOwningToken().getCryptoStore();
 
                                 CMS.debug("*** deleting this token cert");
                                 tcert.getOwningToken().getCryptoStore().deleteCert(tcert);
@@ -1175,8 +1172,9 @@ public final class JssSubsystem implements ICryptoSubsystem {
 
                 for (int i = 0; i < list.length; i++) {
                     try {
+                        @SuppressWarnings("unused")
                         PrivateKey key =
-                                CryptoManager.getInstance().findPrivKeyByCert(list[i]);
+                                CryptoManager.getInstance().findPrivKeyByCert(list[i]); // check for errors
                         Debug.trace("JssSubsystem getRootCerts: find private key "
                                 + list[i].getNickname());
                     } catch (ObjectNotFoundException e) {
@@ -1247,8 +1245,9 @@ public final class JssSubsystem implements ICryptoSubsystem {
 
                 for (int i = 0; i < list.length; i++) {
                     try {
+                        @SuppressWarnings("unused")
                         PrivateKey key =
-                                CryptoManager.getInstance().findPrivKeyByCert(list[i]);
+                                CryptoManager.getInstance().findPrivKeyByCert(list[i]); // check for errors
                         String nickname = list[i].getNickname();
                         if (tokenName.equals(Constants.PR_INTERNAL_TOKEN_NAME) ||
                                 tokenName.equals(Constants.PR_FULL_INTERNAL_TOKEN_NAME)) {
@@ -1307,7 +1306,6 @@ public final class JssSubsystem implements ICryptoSubsystem {
 
             while (enums.hasMoreElements()) {
                 CryptoToken token = (CryptoToken) enums.nextElement();
-                String tokenName = token.getName();
 
                 CryptoStore store = token.getCryptoStore();
                 X509Certificate[] list = store.getCertificates();
@@ -1538,7 +1536,6 @@ public final class JssSubsystem implements ICryptoSubsystem {
                         if (notAfter.equals(qualifier)) {
                             if (cert instanceof TokenCertificate) {
                                 TokenCertificate tcert = (TokenCertificate) cert;
-                                CryptoStore store = tcert.getOwningToken().getCryptoStore();
 
                                 tcert.getOwningToken().getCryptoStore().deleteCert(tcert);
                             } else {
@@ -1620,7 +1617,6 @@ public final class JssSubsystem implements ICryptoSubsystem {
                     if (notAfter.equals(qualifier)) {
                         if (cert instanceof TokenCertificate) {
                             TokenCertificate tcert = (TokenCertificate) cert;
-                            CryptoStore store = tcert.getOwningToken().getCryptoStore();
 
                             tcert.getOwningToken().getCryptoStore().deleteCert(tcert);
                         } else {
@@ -1660,7 +1656,6 @@ public final class JssSubsystem implements ICryptoSubsystem {
     public void deleteTokenCertificate(String nickname, String pathname) throws EBaseException {
         try {
             X509Certificate cert = CryptoManager.getInstance().findCertByNickname(nickname);
-            String issuerName = cert.getSubjectDN().getName();
             Principal principal = cert.getSubjectDN();
             DN dn = new DN(principal.getName());
             BigInteger serialno = cert.getSerialNumber();
@@ -1674,7 +1669,6 @@ public final class JssSubsystem implements ICryptoSubsystem {
             stream.close();
             if (cert instanceof TokenCertificate) {
                 TokenCertificate tcert = (TokenCertificate) cert;
-                CryptoStore store = tcert.getOwningToken().getCryptoStore();
 
                 tcert.getOwningToken().getCryptoStore().deleteCert(tcert);
             } else
diff --git a/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java b/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
index 1d03911b45f2be6a225961f4886bab15af932e57..3eef57718fc48c74803d724387a4c95a9fc38770 100644
--- a/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
+++ b/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
@@ -141,11 +141,11 @@ public class KeyCertUtil {
                 DerValue b_der = new DerValue(b);
 
                 while (b_der.data.available() != 0) {
-                    Extension de = new Extension(b_der.data.getDerValue());
+                    new Extension(b_der.data.getDerValue()); // check for errors
                 }
             } catch (IOException e) {
                 try {
-                    Extension de = new Extension(new DerValue(b));
+                    new Extension(new DerValue(b)); // check for errors
                 } catch (IOException ex) {
                     throw new EBaseException(CMS.getUserMessage("CMS_BASE_INVALID_CERT_EXTENSION"));
                 }
diff --git a/pki/base/common/src/com/netscape/cmscore/security/PWUtil.java b/pki/base/common/src/com/netscape/cmscore/security/PWUtil.java
index 524e7a50439d1aafc829e8e37c942df1a841db45..3938bf5d2ec1d4310dc858c856a1588d29699127 100644
--- a/pki/base/common/src/com/netscape/cmscore/security/PWUtil.java
+++ b/pki/base/common/src/com/netscape/cmscore/security/PWUtil.java
@@ -17,9 +17,6 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmscore.security;
 
-import java.io.BufferedReader;
-import java.io.InputStreamReader;
-
 import org.mozilla.jss.util.Password;
 import org.mozilla.jss.util.PasswordCallback;
 
@@ -27,9 +24,6 @@ public class PWUtil {
     public static Password
             readPasswordFromStream()
                     throws PasswordCallback.GiveUpException {
-        BufferedReader in;
-
-        in = new BufferedReader(new InputStreamReader(System.in));
 
         StringBuffer buf = new StringBuffer();
         String passwordString = new String();
diff --git a/pki/base/common/src/com/netscape/cmscore/usrgrp/UGSubsystem.java b/pki/base/common/src/com/netscape/cmscore/usrgrp/UGSubsystem.java
index bf56061961e7cfcfd5b3f3bbb0d138da209358b4..1bf2518658536cb1d6e564116a01af9d694b40e9 100644
--- a/pki/base/common/src/com/netscape/cmscore/usrgrp/UGSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/usrgrp/UGSubsystem.java
@@ -133,7 +133,6 @@ public final class UGSubsystem implements IUGSubsystem {
 
             mLdapConnFactory = new LdapBoundConnFactory();
             mLdapConnFactory.init(ldapConfig);
-            IConfigStore c = config.getSubStore(PROP_IMPL);
         } catch (EBaseException e) {
             if (CMS.isPreOpMode())
                 return;
@@ -250,16 +249,8 @@ public final class UGSubsystem implements IUGSubsystem {
 
             return (User) e.nextElement();
         } catch (LDAPException e) {
-            String errMsg = "findUser()" + e.toString();
-
-            if (e.getLDAPResultCode() == LDAPException.UNAVAILABLE) {
-                errMsg = "findUser: " + "Internal DB is unavailable";
-            }
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_FIND_USER", e.toString()));
         } catch (ELdapException e) {
-            String errMsg =
-                    "find User: Could not get connection to internaldb. Error " + e;
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_INTERNAL_DB", e.toString()));
         } finally {
             if (ldapconn != null)
@@ -307,19 +298,10 @@ public final class UGSubsystem implements IUGSubsystem {
 
             Enumeration<IUser> e = buildUsers(res);
 
-            return (User) e.nextElement();
+            return e.nextElement();
         } catch (LDAPException e) {
-            String errMsg = "findUsersByCert()" + e.toString();
-
-            if (e.getLDAPResultCode() == LDAPException.UNAVAILABLE) {
-                errMsg = "findUsersByCert: " + "Internal DB is unavailable";
-            }
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_FIND_USER_BY_CERT", e.toString()));
         } catch (ELdapException e) {
-            String errMsg =
-                    "find Users By Cert: " +
-                            "Could not get connection to internaldb. Error " + e;
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_FIND_USER_BY_CERT", e.toString()));
         } finally {
             if (ldapconn != null)
@@ -349,16 +331,8 @@ public final class UGSubsystem implements IUGSubsystem {
 
             return e;
         } catch (LDAPException e) {
-            String errMsg = "findUsers()" + e.toString();
-
-            if (e.getLDAPResultCode() == LDAPException.UNAVAILABLE) {
-                errMsg = "findUsersByCert: " + "Internal DB is unavailable";
-            }
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_FIND_USERS", e.toString()));
         } catch (ELdapException e) {
-            String errMsg =
-                    "find Users: Could not get connection to internaldb. Error " + e;
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_FIND_USERS", e.toString()));
         } finally {
             if (ldapconn != null)
@@ -395,11 +369,6 @@ public final class UGSubsystem implements IUGSubsystem {
 
             return e;
         } catch (LDAPException e) {
-            String errMsg = "listUsers()" + e.toString();
-
-            if (e.getLDAPResultCode() == LDAPException.UNAVAILABLE) {
-                errMsg = "findUsersByCert: " + "Internal DB is unavailable";
-            }
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_LIST_USERS", e.toString()));
         } catch (Exception e) {
             throw new EUsrGrpException(CMS.getUserMessage("CMS_INTERNAL_ERROR"));
@@ -526,10 +495,7 @@ public final class UGSubsystem implements IUGSubsystem {
         if (userdn != null) {
             id.setUserDN(userdn);
         } else { // the impossible
-            String errMsg = "buildUser(): user DN not found: " +
-                    userdn;
-
-            log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_BUILD_USER"));
+            log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_BUILD_USER", userdn));
 
             throw new EUsrGrpException(CMS.getUserMessage("CMS_INTERNAL_ERROR"));
         }
@@ -738,9 +704,6 @@ public final class UGSubsystem implements IUGSubsystem {
             ldapconn = getConn();
             ldapconn.add(entry);
         } catch (ELdapException e) {
-            String errMsg =
-                    "add User: Could not get connection to internaldb. Error " + e;
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_ADD_USER", e.toString()));
         } finally {
             if (ldapconn != null)
@@ -807,18 +770,9 @@ public final class UGSubsystem implements IUGSubsystem {
                 if (Debug.ON) {
                     e.printStackTrace();
                 }
-                String errMsg = "addUserCert():" + e.toString();
-
-                if (e.getLDAPResultCode() == LDAPException.UNAVAILABLE) {
-                    errMsg = "findUsersByCert: " + "Internal DB is unavailable";
-                }
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_ADD_USER", e.toString()));
                 throw e;
             } catch (ELdapException e) {
-                String errMsg =
-                        "add User Cert: " +
-                                "Could not get connection to internaldb. Error " + e;
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_ADD_USER", e.toString()));
             } finally {
                 if (ldapconn != null)
@@ -915,19 +869,9 @@ public final class UGSubsystem implements IUGSubsystem {
                             );
 
                 } catch (LDAPException e) {
-                    String errMsg = "removeUserCert():" + e;
-
-                    if (e.getLDAPResultCode() == LDAPException.UNAVAILABLE) {
-                        errMsg =
-                                "removeUserCert: " + "Internal DB is unavailable";
-                    }
                     log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_REMOVE_USER", e.toString()));
                     throw new EUsrGrpException(CMS.getUserMessage("CMS_USRGRP_MOD_USER_FAIL"));
                 } catch (ELdapException e) {
-                    String errMsg =
-                            "remove User Cert: " +
-                                    "Could not get connection to internaldb. Error " + e;
-
                     log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_REMOVE_USER", e.toString()));
                 } finally {
                     if (ldapconn != null)
@@ -959,18 +903,10 @@ public final class UGSubsystem implements IUGSubsystem {
 
             ldapconn.modify(groupDN, singleChange);
         } catch (LDAPException e) {
-            String errMsg = "removeUserFromGroup()" + e.toString();
-
-            if (e.getLDAPResultCode() == LDAPException.UNAVAILABLE) {
-                errMsg = "removeUser: " + "Internal DB is unavailable";
-            }
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_REMOVE_USER_FROM_GROUP", e.toString()));
 
             throw new EUsrGrpException(CMS.getUserMessage("CMS_USRGRP_REMOVE_USER_FAIL"));
         } catch (ELdapException e) {
-            String errMsg =
-                    "removeUserFromGroup: Could not get connection to internaldb. Error " + e;
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_REMOVE_USER_FROM_GROUP", e.toString()));
         } finally {
             if (ldapconn != null)
@@ -1001,18 +937,10 @@ public final class UGSubsystem implements IUGSubsystem {
                     );
 
         } catch (LDAPException e) {
-            String errMsg = "removeUser()" + e.toString();
-
-            if (e.getLDAPResultCode() == LDAPException.UNAVAILABLE) {
-                errMsg = "removeUser: " + "Internal DB is unavailable";
-            }
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_REMOVE_USER", e.toString()));
 
             throw new EUsrGrpException(CMS.getUserMessage("CMS_USRGRP_REMOVE_USER_FAIL"));
         } catch (ELdapException e) {
-            String errMsg =
-                    "remove User: Could not get connection to internaldb. Error " + e;
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_REMOVE_USER", e.toString()));
         } finally {
             if (ldapconn != null)
@@ -1164,18 +1092,9 @@ public final class UGSubsystem implements IUGSubsystem {
 
             return buildGroups(res);
         } catch (LDAPException e) {
-            String errMsg =
-                    "findGroups: could not find group " + filter + ". Error " + e;
-
-            if (e.getLDAPResultCode() == LDAPException.UNAVAILABLE) {
-                errMsg = "findGroups: " + "Internal DB is unavailable";
-            }
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_FIND_GROUPS", e.toString()));
             return null;
         } catch (ELdapException e) {
-            String errMsg =
-                    "find Groups: Could not get connection to internaldb. Error " + e;
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_FIND_GROUPS", e.toString()));
             return null;
         } finally {
@@ -1189,7 +1108,7 @@ public final class UGSubsystem implements IUGSubsystem {
 
         if (groups == null || !groups.hasMoreElements())
             return null;
-        return (Group) groups.nextElement();
+        return groups.nextElement();
     }
 
     /**
@@ -1217,16 +1136,8 @@ public final class UGSubsystem implements IUGSubsystem {
 
             return buildGroups(res);
         } catch (LDAPException e) {
-            String errMsg = "listGroups()" + e.toString();
-
-            if (e.getLDAPResultCode() == LDAPException.UNAVAILABLE) {
-                errMsg = "listGroups: " + "Internal DB is unavailable";
-            }
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_LIST_GROUPS", e.toString()));
         } catch (ELdapException e) {
-            String errMsg =
-                    "list Groups: Could not get connection to internaldb. Error " + e;
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_LIST_GROUPS", e.toString()));
         } finally {
             if (ldapconn != null)
@@ -1445,8 +1356,7 @@ public final class UGSubsystem implements IUGSubsystem {
             // that the filter matched, and so the user correctly
             // authenticated.
             if (res.hasMoreElements()) {
-                // actually read the entry
-                LDAPEntry entry = (LDAPEntry) res.nextElement();
+                res.nextElement(); // consume the entry
                 founduser = true;
             }
             Debug.trace("authorization result: " + founduser);
@@ -1510,18 +1420,10 @@ public final class UGSubsystem implements IUGSubsystem {
             ldapconn = getConn();
             ldapconn.add(entry);
         } catch (LDAPException e) {
-            String errMsg = "addGroup()" + e.toString();
-
-            if (e.getLDAPResultCode() == LDAPException.UNAVAILABLE) {
-                errMsg = "addGroup: " + "Internal DB is unavailable";
-            }
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_ADD_GROUP", e.toString()));
 
             throw new EUsrGrpException(CMS.getUserMessage("CMS_USRGRP_ADD_GROUP_FAIL"));
         } catch (ELdapException e) {
-            String errMsg =
-                    "add Group: Could not get connection to internaldb. Error " + e;
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_ADD_GROUP", e.toString()));
             throw new EUsrGrpException(CMS.getUserMessage("CMS_USRGRP_ADD_GROUP_FAIL"));
         } finally {
@@ -1547,19 +1449,10 @@ public final class UGSubsystem implements IUGSubsystem {
             ldapconn = getConn();
             ldapconn.delete("cn=" + name + "," + getGroupBaseDN());
         } catch (LDAPException e) {
-            String errMsg = "removeGroup()" + e.toString();
-
-            if (e.getLDAPResultCode() == LDAPException.UNAVAILABLE) {
-                errMsg = "removeGroup: " + "Internal DB is unavailable";
-            }
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_REMOVE_GROUP", e.toString()));
 
             throw new EUsrGrpException(CMS.getUserMessage("CMS_USRGRP_REMOVE_GROUP_FAIL"));
         } catch (ELdapException e) {
-            String errMsg =
-                    "remove Group: Could not get connection to internaldb. " +
-                            "Error " + e;
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_REMOVE_GROUP", e.toString()));
         } finally {
             if (ldapconn != null)
@@ -1612,11 +1505,6 @@ public final class UGSubsystem implements IUGSubsystem {
             ldapconn.modify("cn=" + grp.getGroupID() +
                     "," + getGroupBaseDN(), mod);
         } catch (LDAPException e) {
-            String errMsg = " modifyGroup()" + e.toString();
-
-            if (e.getLDAPResultCode() == LDAPException.UNAVAILABLE) {
-                errMsg = "modifyGroup: " + "Internal DB is unavailable";
-            }
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_MODIFY_GROUP", e.toString()));
 
             throw new EUsrGrpException(CMS.getUserMessage("CMS_USRGRP_MOD_GROUP_FAIL"));
@@ -1671,10 +1559,6 @@ public final class UGSubsystem implements IUGSubsystem {
                 return entry.getDN();
             }
         } catch (ELdapException e) {
-            String errMsg =
-                    "convertUIDtoDN: Could not get connection to internaldb. " +
-                            "Error " + e;
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_USRGRP_CONVERT_UID", e.toString()));
         } finally {
             if (ldapconn != null)
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/AuditVerify.java b/pki/base/java-tools/src/com/netscape/cmstools/AuditVerify.java
index 4355677108e48fcce24c565755bcd14ca3f08bc7..8a8854f8fc78ceb0510c9d8fd559c6334f7dc004 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/AuditVerify.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/AuditVerify.java
@@ -153,7 +153,7 @@ public class AuditVerify {
             }
 
             // get list of log files
-            Vector logFiles = new Vector();
+            Vector<String> logFiles = new Vector<String>();
             BufferedReader r = new BufferedReader(new FileReader(logListFile));
             String listLine;
             while ((listLine = r.readLine()) != null) {
@@ -231,8 +231,6 @@ public class AuditVerify {
             String sigStopFile = null;
             int signedLines = 1;
 
-            boolean lastLineWasSig = false;
-
             for (int curfile = 0; curfile < logFiles.size(); ++curfile) {
                 String curfileName = (String) logFiles.elementAt(curfile);
                 BufferedReader br = new BufferedReader(new FileReader(curfileName));
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java b/pki/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
index 18bfb51fc434d6687246501450a5eba531418062..d739fbcff6ee828b1cf609bbd229b0fbd55a53e2 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
@@ -45,7 +45,6 @@ import org.mozilla.jss.asn1.OBJECT_IDENTIFIER;
 import org.mozilla.jss.asn1.OCTET_STRING;
 import org.mozilla.jss.asn1.SEQUENCE;
 import org.mozilla.jss.asn1.SET;
-import org.mozilla.jss.crypto.CryptoStore;
 import org.mozilla.jss.crypto.CryptoToken;
 import org.mozilla.jss.crypto.DigestAlgorithm;
 import org.mozilla.jss.crypto.ObjectNotFoundException;
@@ -154,8 +153,6 @@ public class CMCEnroll {
                 throw new IOException("Internal Error - " + e.toString());
             }
 
-            String hasSki = "true";
-
             BigInteger serialno = signerCert.getSerialNumber();
             byte[] certB = signerCert.getEncoded();
             X509CertImpl impl = new X509CertImpl(certB);
@@ -374,8 +371,6 @@ public class CMCEnroll {
                 Password pass = new Password(pValue.toCharArray());
 
                 token.login(pass);
-                CryptoStore store = token.getCryptoStore();
-                X509Certificate[] list = store.getCertificates();
                 X509Certificate signerCert = null;
 
                 signerCert = cm.findCertByNickname(nValue);
@@ -425,9 +420,10 @@ public class CMCEnroll {
                 asciiBASE64Blob = getCMCBlob(signerCert, cm, nValue, asciiBASE64Blob);
                 // (5) Decode the ASCII BASE 64 blob enclosed in the
                 //     String() object into a BINARY BASE 64 byte[] object
-                byte binaryBASE64Blob[] = null;
 
-                binaryBASE64Blob = com.netscape.osutil.OSUtil.AtoB(asciiBASE64Blob);
+                @SuppressWarnings("unused")
+                byte binaryBASE64Blob[] =
+                        com.netscape.osutil.OSUtil.AtoB(asciiBASE64Blob); // check for errors
 
                 // (6) Finally, print the actual CMCEnroll blob to the
                 //     specified output file
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/CMCRequest.java b/pki/base/java-tools/src/com/netscape/cmstools/CMCRequest.java
index 197f29e15992bf6eadcc7fa83538bd6436db537b..a4368736cd73e437cdf9a92410e402b1f41887fd 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/CMCRequest.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/CMCRequest.java
@@ -52,7 +52,6 @@ import org.mozilla.jss.asn1.OCTET_STRING;
 import org.mozilla.jss.asn1.SEQUENCE;
 import org.mozilla.jss.asn1.SET;
 import org.mozilla.jss.asn1.UTF8String;
-import org.mozilla.jss.crypto.CryptoStore;
 import org.mozilla.jss.crypto.CryptoToken;
 import org.mozilla.jss.crypto.DigestAlgorithm;
 import org.mozilla.jss.crypto.ObjectNotFoundException;
@@ -198,7 +197,6 @@ public class CMCRequest {
                             System.out.println("This is not a crmf request. Or this request has an error.");
                             System.exit(1);
                         }
-                        int nummsgs = crmfMsgs.size();
                         certReqMsg = (CertReqMsg) crmfMsgs.elementAt(0);
                         trq = new TaggedRequest(TaggedRequest.CRMF, null,
                                 certReqMsg);
@@ -798,7 +796,6 @@ public class CMCRequest {
         String numRequests = null;
         String dbdir = null, nickname = null;
         String ifilename = null, ofilename = null, password = null, format = null;
-        FileOutputStream outputBlob = null;
         String confirmCertEnable = "false", confirmCertIssuer = null, confirmCertSerial = null;
         String getCertEnable = "false", getCertIssuer = null, getCertSerial = null;
         String dataReturnEnable = "false", dataReturnData = null;
@@ -989,8 +986,6 @@ public class CMCRequest {
             Password pass = new Password(password.toCharArray());
 
             token.login(pass);
-            CryptoStore store = token.getCryptoStore();
-            X509Certificate[] list = store.getCertificates();
             X509Certificate signerCert = null;
 
             signerCert = cm.findCertByNickname(nickname);
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/CMCRevoke.java b/pki/base/java-tools/src/com/netscape/cmstools/CMCRevoke.java
index 3be8167a120e03c4ec916e4627155359d5dc2539..57be364d7f0cacdf00d5b837b2484f389ed09a59 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/CMCRevoke.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/CMCRevoke.java
@@ -41,7 +41,6 @@ import org.mozilla.jss.asn1.OCTET_STRING;
 import org.mozilla.jss.asn1.SEQUENCE;
 import org.mozilla.jss.asn1.SET;
 import org.mozilla.jss.asn1.UTF8String;
-import org.mozilla.jss.crypto.CryptoStore;
 import org.mozilla.jss.crypto.CryptoToken;
 import org.mozilla.jss.crypto.DigestAlgorithm;
 import org.mozilla.jss.crypto.ObjectNotFoundException;
@@ -94,8 +93,6 @@ public class CMCRevoke {
      */
     public static void main(String[] s) {
 
-        FileOutputStream outputBlob = null;
-
         // default path is "."
         String mPath = ".";
         // default prefix is ""
@@ -182,8 +179,6 @@ public class CMCRevoke {
                 Password pass = new Password(hValue.toCharArray());
 
                 token.login(pass);
-                CryptoStore store = token.getCryptoStore();
-                X509Certificate[] list = store.getCertificates();
                 X509Certificate signerCert = null;
 
                 signerCert = cm.findCertByNickname(nValue);
@@ -290,8 +285,6 @@ public class CMCRevoke {
 
         try {
 
-            String hasSki = "true";
-
             BigInteger serialno = signerCert.getSerialNumber();
             byte[] certB = signerCert.getEncoded();
             X509CertImpl impl = new X509CertImpl(certB);
